<?php
/**
 * Body Classes.
 * @package Restaurant Culinary
 */

if (!function_exists('restaurant_culinary_body_classes')) :

    function restaurant_culinary_body_classes($restaurant_culinary_classes)
    {
        $restaurant_culinary_defaults = restaurant_culinary_get_default_theme_options();
        $restaurant_culinary_layout = restaurant_culinary_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $restaurant_culinary_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $restaurant_culinary_classes[] = $restaurant_culinary_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('restaurant_culinary_copyright_alignment', 'Default');
        $restaurant_culinary_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $restaurant_culinary_classes;
    }

endif;

add_filter('body_class', 'restaurant_culinary_body_classes');